DROP TABLE CONSEIL;
DROP TABLE COMMENTAIRE;
DROP TABLE RESERVATION;
DROP TABLE UTILISATEUR;
DROP TABLE MATERIEL;

CREATE TABLE MATERIEL(
  ID INT(4) PRIMARY KEY AUTO_INCREMENT NOT NULL,
  NOM VARCHAR(50),
  DESCRIPTION VARCHAR(50),
  LARGEUR INT(4),
  HAUTEUR INT(4),
  POIDS INT(4),
  PRIX INT(4)
);

CREATE TABLE UTILISATEUR(
  ID INT(4) PRIMARY KEY AUTO_INCREMENT NOT NULL,
  NOM VARCHAR(50),
  PRENOM VARCHAR(50),
  TELEPHONE VARCHAR(10),
  MAIL VARCHAR(50)
);

CREATE TABLE RESERVATION(
  ID INT(4) PRIMARY KEY AUTO_INCREMENT NOT NULL,
  IDMATERIEL INT(4),
  IDUTILISATEUR INT(4),
  RESERVATIONDATE DATE,
  DESCRIPTION VARCHAR(100),
  FOREIGN KEY (IDMATERIEL) REFERENCES MATERIEL(ID),
  FOREIGN KEY (IDUTILISATEUR) REFERENCES UTILISATEUR(ID)
);

CREATE TABLE COMMENTAIRE(
  ID INT(4) PRIMARY KEY AUTO_INCREMENT NOT NULL,
  IDMATERIEL INT(4),
  IDUTILISATEUR INT(4),
  DESCRIPTION VARCHAR(100),
  FOREIGN KEY (IDMATERIEL) REFERENCES MATERIEL(ID),
  FOREIGN KEY (IDUTILISATEUR) REFERENCES UTILISATEUR(ID)
);

CREATE TABLE CONSEIL(
  ID INT(4) PRIMARY KEY AUTO_INCREMENT NOT NULL,
  IDUTILISATEUR INT(4),
  DESCRIPTION VARCHAR(100),
  FOREIGN KEY (IDUTILISATEUR) REFERENCES UTILISATEUR(ID)
);
